Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 61439 - Database Explorer API review
Database Explorer API review
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Andrei Badea
issues@db
: API, API_REVIEW
Depends on: 62454 62461
Blocks: 38118
  Show dependency treegraph
 
Reported: 2005-07-27 08:16 UTC by Andrei Badea
Modified: 2006-01-16 13:42 UTC (History)
6 users (show)

See Also:
Issue Type: TASK
:


Attachments
Arch document (36.04 KB, text/html)
2005-07-27 08:17 UTC, Andrei Badea
Details
The HTML version of the arch document (54.00 KB, text/html)
2005-07-27 08:20 UTC, Andrei Badea
Details
Zipped Javadoc (97.54 KB, application/x-compressed)
2005-08-16 17:58 UTC, Andrei Badea
Details
Arch document (impl and final answers) (66.63 KB, text/html)
2005-08-16 18:01 UTC, Andrei Badea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2005-07-27 08:16:26 UTC
This issue tracks the creation of an API for the Database Explorer module.
Comment 1 Andrei Badea 2005-07-27 08:17:23 UTC
Created attachment 23303 [details]
Arch document
Comment 2 Andrei Badea 2005-07-27 08:18:37 UTC
Work on the API has already begun. It can be find in the /cvs/db directory on
the db_promo_f branch.
Comment 3 Andrei Badea 2005-07-27 08:20:09 UTC
Created attachment 23304 [details]
The HTML version of the arch document
Comment 4 Andrei Badea 2005-07-27 08:22:55 UTC
The reviewers for this issue are jtulach, pbuzek, rkubacki and rnajman. I would
like to ask for the review.
Comment 5 Andrei Badea 2005-08-01 10:51:27 UTC
The inception review will take place on Wed 3 Aug at 16:00 CET.
Comment 6 Pavel Buzek 2005-08-03 06:07:18 UTC
PB01:
> A typical example is a J2EE application server which bundles a database server.

This may be missleading for people not familiar with the fact that many
application servers include a bundled database server for improved out of the
box experience. This is why a j2ee server plugin may want to provide jdbc driver
and perhaps register sample databases.

Even more typical example would be a module providing integration of database
server (e.g. Derby).
Comment 7 Pavel Buzek 2005-08-03 06:12:19 UTC
minor wording comment:
> Only official API and SPI packages are exported.

delete "official", official is a netbeans API stability category and may be
missleading in this context
Comment 8 Pavel Buzek 2005-08-03 06:36:44 UTC
PB03: Is it necessary to expose the provider.impl in API? The factories return
ModelProvider and the providers do not have any additional methods so it seems
that the providers can be private. Maybe even the factories could be identified
by their name (something like: ModelProvider
getModelProviderFactory("[Generic|PosgreSQL]")) and the classes also hidden from
API.
Comment 9 Andrei Badea 2005-08-16 17:58:38 UTC
Created attachment 23958 [details]
Zipped Javadoc
Comment 10 Andrei Badea 2005-08-16 18:01:00 UTC
Created attachment 23959 [details]
Arch document (impl and final answers)
Comment 11 Andrei Badea 2005-08-16 18:05:06 UTC
The following TCRs have been addressed:

- Documentation improvements (see above)

Hopefully adressed in the new arch document (attached). One thing that is not
addressed is the documentation of the registration format of the connections and
drivers. I plan to document it after the integration to the trunk.

- Storage of connections and other settings (see above)

The connections are drivers are now stored as XML files in the SFS in the
Databases/Connections, and respectively Databases/JDBCDrivers folders. Database
runtimes are registered in the Databases/DatabaseRuntimes folder.

- Move all UI methods to (showConnectiondialog) DatabaseManager

All UI methods moved to ConnectionManager or JDBCDriverManager.

- Do not depend on core (showInExplorer), you can iterate over all TopComponents
if you want, or have own ServerNavigator component

Dependency on core removed, I'm now iterating over all TopComponents.

- Friend API from dbschema, if you cannot remove it

Dbschema now exposes a friend API for org.netbeans.modules.j2ee.ejbjarproject
and org.netbeans.modules.j2ee.sun.ddui

The API is not fully tested yet. There are tests for reading and writing the XML
registration format though, and I plan to add more tests after the integration.

I would like to integrated as soon as possible. If there are no objections, I
would like to have the final review as fast track.
Comment 12 Pavel Buzek 2005-08-16 18:24:30 UTC
I have no objections. Integrate to trunk to get some testing going...
Comment 13 Radko Najman 2005-08-17 09:57:13 UTC
No objections from my side.
Comment 14 Jaroslav Tulach 2005-08-17 10:27:04 UTC
I've added two TCRs about documentation, imho they can be resolved later after 
the merge.  
 
I guess this means approved with TCRs, I'll update the opinion later today. 
Comment 15 Jaroslav Tulach 2005-08-17 10:37:03 UTC
I've updated the opinion 
http://www.netbeans.org/source/browse/openide/www/tutorial/reviews/opinions_61439.html?r1=1.1&r2=1.2 
but I have not closed it yet, as I've seen no update on the dbmodel API. Will 
there be any? Will it happen in issue 61441? 
Comment 16 Andrei Badea 2005-08-17 10:47:12 UTC
Yes. The db model API development will continue under issue #61441. The model
will not be integrated into trunk in promo-F.
Comment 17 Jaroslav Tulach 2005-08-17 13:33:22 UTC
Ok, in such case, I closed the review:  
http://www.netbeans.org/source/browse/openide/www/tutorial/reviews/opinions_61439.html?r1=1.2&r2=1.3 
for database model hold new separate one in next promotion please. 
 
 
Comment 18 Andrei Badea 2005-08-18 09:39:10 UTC
The API was integrated into the trunk yesterday.
Comment 19 Lukasz Grela 2006-01-16 13:42:22 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo